Subject: bug#48804: 27.2; compilation emacs on macOS

From: Niels Søndergaard <[email-masked]>
Date: Fri, 4 Jun 2021 14:59:54 +0200

hello 

Now I god this error in the “configure —with-native-compilation” ,

checking AppKit/AppKit.h usability... no
checking AppKit/AppKit.h presence... yes
configure: WARNING: AppKit/AppKit.h: present but cannot be compiled
configure: WARNING: AppKit/AppKit.h:     check for missing prerequisite headers?
configure: WARNING: AppKit/AppKit.h: see the Autoconf documentation
configure: WARNING: AppKit/AppKit.h:     section "Present But Cannot Be Compiled"
configure: WARNING: AppKit/AppKit.h: proceeding with the compiler's result
configure: WARNING:     ## ------------------------------------ ##
configure: WARNING:     ## Report this to [email-masked] ##
configure: WARNING:     ## ------------------------------------ ##
checking for AppKit/AppKit.h... no
configure: error: The include files (AppKit/AppKit.h etc) that
are required for a Nextstep build are missing or cannot be compiled.
Either fix this, or re-configure with the option '--without-ns’. 

And I didn’t specify “—with-ns” this time

mvh
Niels
 
> Den 4. jun. 2021 kl. 14.32 skrev Eli Zaretskii <[email-masked]>:
> 
>> Date: Fri, 04 Jun 2021 13:26:38 +0100
>> CC: [email-masked],[email-masked],[email-masked]
>> From: Alan Third <[email-masked]>
>> 
>>>> I’ve gcc 10.2.0_4 installed by Homebrew on my new iMac 24” (with M1),
>>> and can’t get a newer version, so I’ll
>>>> properly have to wait ….. 
>>> 
>>> What's wrong with GCC 10?  AFAIK, even GCC 7 comes with libgccjit that
>>> is good enough for Emacs.
>> 
>> I believe that libgccjit only just added support for M1 processors in the last week or two, and for whatever reason the Intel emulation on the Macs doesn't work with the older libgccjit either.
> 
> Should we mention this in NEWS, where we announce native-compilation
> support?  Knowing the prerequisites is important to avoid false
> expectations and frustration.